## rust-linemux 0.3.0

=== debian/changelog ===
rust-linemux (0.3.0-8) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * reduce autopkgtest to check single-feature tests only on amd64
  * stop mention dh-cargo in long description
  * add patch cherry-picked upstream
    to use newer branch of crate notify,
    superseding patch 1001
  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename mangling
    + use Github API
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 12:01:06 +0100

rust-linemux (0.3.0-7) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 14:41:07 +0200

rust-linemux (0.3.0-6) unstable; urgency=medium

  * update copyright info: fix file path
  * add patch 1001 to accept newer branch of crate notify;
    relax (build-)dependency for crate notify;
    closes: bug#1072839, thanks to James McCoy
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Jun 2024 23:00:40 +0200

rust-linemux (0.3.0-5) unstable; urgency=medium

  * update DEP-3 patch headers
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Aug 2023 14:12:47 +0200

rust-linemux (0.3.0-4) unstable; urgency=medium

  * update dh-cargo fork
  * avoid autopkgtest with no features, currently broken

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Aug 2023 13:03:36 +0200

rust-linemux (0.3.0-2) unstable; urgency=medium

  * fix autopkgtest dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jul 2023 23:32:13 +0200

rust-linemux (0.3.0-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1041733

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Jul 2023 19:26:43 +0200
