=== debian/control ===
Source: rust-linemux
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-doc-comment-0.3+default-dev,
 librust-futures-util-0.3+std-dev,
 librust-notify-dev (<< 7),
 librust-pin-project-lite-0.2+default-dev,
 librust-tempfile-3+default-dev,
 librust-tokio-1+fs-dev,
 librust-tokio-1+io-util-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+process-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tokio-1+sync-dev,
 librust-tokio-1+time-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-linemux.git
Vcs-Browser: https://salsa.debian.org/debian/rust-linemux
Homepage: https://github.com/jmagnuson/linemux
Rules-Requires-Root: no

Package: librust-linemux-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-futures-util-0.3+std-dev,
 librust-notify-dev (<< 7),
 librust-pin-project-lite-0.2+default-dev,
 librust-tokio-1+fs-dev,
 librust-tokio-1+io-util-dev,
 librust-tokio-1+sync-dev,
 librust-tokio-1+time-dev,
 ${misc:Depends},
Provides:
 librust-linemux-0.3+default-dev (= ${binary:Version}),
 librust-linemux-0.3+tokio-dev (= ${binary:Version}),
 librust-linemux-0.3-dev (= ${binary:Version}),
 librust-linemux-0.3.0-dev (= ${binary:Version}),
Description: asynchronous, multiplexed file tailing - Rust source code
 linemux is a library providing asynchronous, multiplexed tailing
 for (namely log) files.
 .
 Also available is the underlying file event-stream
 (driven by notify)
 that can register non-existent files.
 .
 This package contains the source for the Rust linemux crate,
 for use with cargo.
