=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test linemux 0.3.0
 --all-targets --all-features
Features: test-name=rust-linemux-0.3:@
Depends:
 dh-rust,
 librust-doc-comment-0.3+default-dev,
 librust-linemux-0.3-dev,
 librust-tempfile-3+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+process-dev,
 librust-tokio-1+rt-multi-thread-dev,
Restrictions: allow-stderr

# Broken: <https://github.com/jmagnuson/linemux/issues/71>
#Test-Command: /usr/share/dh-rust/bin/cargo-auto-test linemux 0.3.0
# --all-targets --no-default-features
#Features: test-name=rust-linemux-0.3:
#Depends:
# dh-rust,
# librust-doc-comment-0.3+default-dev,
# librust-linemux-0.3-dev,
# librust-tempfile-3+default-dev,
# librust-tokio-1+macros-dev,
# librust-tokio-1+process-dev,
# librust-tokio-1+rt-multi-thread-dev,
#Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test linemux 0.3.0
 --all-targets
Features: test-name=rust-linemux-0.3:default
Depends:
 dh-rust,
 librust-doc-comment-0.3+default-dev,
 librust-linemux-0.3+default-dev,
 librust-tempfile-3+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+process-dev,
 librust-tokio-1+rt-multi-thread-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test linemux 0.3.0
 --all-targets --no-default-features --features tokio
Features: test-name=rust-linemux-0.3:tokio
Depends:
 dh-rust,
 librust-doc-comment-0.3+default-dev,
 librust-linemux-0.3+tokio-dev,
 librust-tempfile-3+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+process-dev,
 librust-tokio-1+rt-multi-thread-dev,
Restrictions: allow-stderr
Architecture: amd64
